Subject: Re: Help with string.S

From: Daniel Marmier <[email-masked]>
Date: Mon, 10 Jul 2000 08:14:57 +0200

Hi Dan,

IIRC, I have sent you a patch that did the right thing for 16-byte
cache lines at time of 2.3.99-pre5. So this is a known problem and
had already been fixed. Of course, if there are caches with 64 or
128 byte lines, some more work needs to be done.

What gives me trouble is the fact that dcbz instruction in function
arch/ppc/lib/string.S:__copy_tofrom_user does not seem to work for me.
But the function works fine if I remove that instruction. Has anybody
else experienced similar problems ?

Any suggestions welcome,

				Daniel Marmier

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/